Page MenuHomeFreeBSD

Re-added port: textproc/ibus-table: Table-based input method framework for IBus (existed 2009/11/22-2017/04/30, deleted in r439826)
ClosedPublic

Authored by yuri on Dec 20 2017, 2:27 AM.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

yuri created this revision.Dec 20 2017, 2:27 AM
adamw added a comment.Dec 20 2017, 3:10 AM

Is there a PR associated with this? Does Nikola know you're reviving it? Does he still intend to maintain it?

yuri added a comment.EditedDec 20 2017, 3:30 AM

Is there a PR associated with this? Does Nikola know you're reviving it? Does he still intend to maintain it?

I was also thinking if I should have asked him. There is no PR. I will ask him.

mat added inline comments.Dec 20 2017, 8:49 AM
textproc/ibus-table/Makefile
29–35 ↗(On Diff #36787)

use options helpers and OPTIONS_SUB.

yuri updated this revision to Diff 36837.Dec 20 2017, 8:52 PM

Used helpers.

yuri marked an inline comment as done.Dec 20 2017, 8:53 PM
yuri updated this revision to Diff 36879.Dec 21 2017, 7:56 PM

Nicola Lecic didn't answer, so I take maintainership.

mat added inline comments.Dec 22 2017, 7:50 AM
textproc/ibus-table/pkg-plist
8–11 ↗(On Diff #36879)

You have USES=python=3.4+ in the Makefile, but you have 36 hardcoded everywhere in the plist, so I doubt it can build with anything other than Python 3.6 right now.

yuri marked an inline comment as done.Dec 22 2017, 7:54 AM
yuri added inline comments.
textproc/ibus-table/pkg-plist
8–11 ↗(On Diff #36879)

Isn't this actually a bug in python ports that __pycache__ gets installed?

yuri marked 2 inline comments as done.Dec 22 2017, 8:03 AM
yuri added inline comments.
textproc/ibus-table/pkg-plist
8–11 ↗(On Diff #36879)

Only very few ports have __pycache__ in pkg-plist which makes me think this is a bug.

yuri updated this revision to Diff 36903.Dec 22 2017, 8:08 AM
yuri marked an inline comment as done.

Nuked __pycache__.

yuri marked an inline comment as done.Dec 22 2017, 8:08 AM
yuri added a comment.Dec 24 2017, 9:54 PM

Both ibus ports are ready to be reincarnated. The original maintainer wasn't enthusiastic, so I took ownership.

adamw added inline comments.Feb 3 2018, 9:17 PM
textproc/ibus-table/Makefile
15 ↗(On Diff #36903)

It's very unusual for a port to actually depend on docbook. Does the port need a DOCS option?

This revision was not accepted when it landed; it landed in state Needs Review.Mar 17 2018, 5:05 AM
This revision was automatically updated to reflect the committed changes.